WebSphereEjbRefTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ibm.websphere.ejb.WebSphereEjbRefTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ibm.websphere.ejb
Class WebSphereEjbRefTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.env.EnvTagsHandler
                  xdoclet.modules.ejb.env.EnvEjbRefTagsHandler
                      xdoclet.modules.ibm.websphere.ejb.WebSphereEjbRefTagsHandler

public class WebSphereEjbRefTagsHandler
extends EnvEjbRefTagsHandler

Version:
  $Revision 1.1 $
Author:
  Magnus Larsson
xdoclet.taghandler
  namespace="WebSphereEjbRef"
created
  Dec 26, 2004

Field Summary

Fields inherited from class xdoclet.modules.ejb.env.EnvTagsHandler
`currentMember, currentTag, currentTagType`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`WebSphereEjbRefTagsHandler()`

Method Summary
`String` | `ejbRefJndiName()` Returns the global JNDI name for the current EJB ref. WebSphere can only can have one global JNDI name for an EJB bean even if it expose both a local and a remote interface.

Methods inherited from class xdoclet.modules.ejb.env.EnvEjbRefTagsHandler
`componentInterface, doGenerate, ejbRefId, findEjb, forAllEjbRefMembers, forAllEjbRefMethods, forAllEjbRefs, homeInterface, ifLocalEjbRef, ifRemoteEjbRef, isLocalEjbRef, isRemoteEjbRef, name, storeReferringClassId`

Methods inherited from class xdoclet.modules.ejb.env.EnvTagsHandler
`forAllMemberTags, forAllMethodTags, forAllTags, forTags, ifHasParam, ifHasTag, ifHasType, ifNotPrimitiveMember, ifParamValueEquals, ifParamValueNotEquals, ifPrimitiveMember, memberName, memberType, methodSignature, paramValue, type`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSphereEjbRefTagsHandler

    public WebSphereEjbRefTagsHandler()

Method Detail

### ejbRefJndiName

    public String ejbRefJndiName()
                          throws XDocletException

  Returns the global JNDI name for the current EJB ref.
  WebSphere can only can have one global JNDI name for an EJB bean even if it expose both a local and a remote interface. In this case we return the remote JNDI-name defined on the bean.

  NOTE: This means that the local JNDI-name will not be used by WebSphere if both a local and a remote interface is exposed on a EJB bean. For portability (with other J2EE servers) reasons you should however always specify both jndi-names in this case.

  Overrides:
    `ejbRefJndiName` in class `EnvEjbRefTagsHandler`
  Returns:
    The JNDI name of current EJB ref.
  Throws:
    `XDocletException`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD